package SCHUNK.EndOfArm.impl;

import com.ur.urcap.api.contribution.ProgramNodeContribution;
import com.ur.urcap.api.contribution.ProgramNodeService;
import com.ur.urcap.api.domain.URCapAPI;
import com.ur.urcap.api.domain.data.DataModel;

import java.io.InputStream;

public class GrpCloseProgramNodeService implements ProgramNodeService {
		
	public GrpCloseProgramNodeService() {
	}

	@Override
	public String getId() {
		return "GrpCloseProgNode";
	}

	@Override
	public String getTitle() {
		
		return eoa_Language.LanguagePack.getInstance().getTextResource().get_Title_Grp_Close();
	}

	@Override
	public InputStream getHTML() {
		InputStream is = this.getClass().getResourceAsStream("/Schunk/Gripper/impl/GrpCloseProgramNode.html");
		return is;
	}

	@Override
	public boolean isDeprecated() {
		return false;
	}

	@Override
	public boolean isChildrenAllowed() {
		return false;
	}

	@Override
	public ProgramNodeContribution createNode(URCapAPI api, DataModel model) {

		return new GrpCloseProgramNodeContribution(api, model);
	}
}
